import React from 'react';
import { FieldConfig } from 'formik';
import { TextInputCredentialsProps } from 'practical-react-components-core';
export interface FormikInputCredentialsProps extends Omit<TextInputCredentialsProps, 'name' | 'value'>, Partial<Pick<TextInputCredentialsProps, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikInputCredentials: React.FC<FormikInputCredentialsProps>;
export declare const FormikInputCredentialsField: React.FunctionComponent<import("practical-react-components-core").FieldProps & FormikInputCredentialsProps>;
